#!/bin/sh

if [ $# -ne 1 ]  ; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi
VERSION=$1
rm -Rf cleartk-$VERSION-clean.tar.xz
wget https://github.com/ClearTK/cleartk/archive/$VERSION/cleartk-$VERSION.tar.gz
tar -xf cleartk-$VERSION.tar.gz

find cleartk-$VERSION -name "*.class" -print -delete
find cleartk-$VERSION -name "*.jar" -print -delete
find cleartk-$VERSION -name "*.bin" -print -delete
#cleartk-ml-crfsuite/src/main/resources/crfsuite/*/bin/crfsuite*
#cleartk-ml-crfsuite/src/main/resources/crfsuite/linux_x*/lib/libcqdb-0.12.so
#cleartk-ml-crfsuite/src/main/resources/crfsuite/linux_x*/lib/libcrfsuite-0.12.so
#cleartk-ml-crfsuite/src/main/resources/crfsuite/linux_x*/lib/liblbfgs-1.10.so
rm -Rf cleartk-$VERSION/cleartk-ml-crfsuite/src/main/resources/crfsuite
find cleartk-$VERSION -name '*.zip' -print -delete

tar -cJf cleartk-$VERSION-clean.tar.xz cleartk-$VERSION
#rm -rf tika-$VERSION
